Subject: Re: Problems debugging threads with gdb/b18
From: Stan Shebs <[email-masked]>

07 Jul 1997 11:13:36 -0700
Distribution: cygnus
Message-ID: <[email-masked]>
References: <c=DE%a=_%p=biw_GmbH%l=[email-masked]>
X-Newsreader: Gnus v5.3/Emacs 19.34

[email-masked] ("Mittelstaedt, Thomas") writes:

> I am using the Win32 API functions CreateThread, Sleep, ResumeThread,
> etc to work with threads. While fprintf/fflush output shows that threads
> get created and detached, I do not get any information in gdb when I
> type "info threads".
> 
> Do I have to link with special debug libraries? Or what's the trick?

GDB needs OS-specific support for threads, and b18 doesn't have it.
Michael Snyder ([email-masked]) wrote this when he was at NeXT,
but hasn't incorporated into Cygnus GDB sources yet.  Everybody who
wants him to add this should send him mail saying "pretty please".

							Stan Shebs
							Cygnus Solutions
							[email-masked]